GDB (xrefs)

Public Attributes | List of all members
load_progress_section_data Struct Reference

## Public Attributes
struct load_progress_data * | cumulative
const char * | section_name
ULONGEST | section_sent
ULONGEST | section_size
CORE_ADDR | lma
gdb_byte * | buffer

## Detailed Description

Definition at line 1916 of file symfile.c.

## Member Data Documentation

## ◆ buffer

gdb_byte* load_progress_section_data::buffer

Definition at line 1924 of file symfile.c.

Referenced by load_progress(), and load_section_callback().

## ◆ cumulative

struct load_progress_data* load_progress_section_data::cumulative

Definition at line 1917 of file symfile.c.

Referenced by load_progress(), and load_section_callback().

## ◆ lma

CORE_ADDR load_progress_section_data::lma

Definition at line 1923 of file symfile.c.

Referenced by load_progress(), and load_section_callback().

## ◆ section_name

const char* load_progress_section_data::section_name

Definition at line 1920 of file symfile.c.

Referenced by load_progress(), and load_section_callback().

## ◆ section_sent

ULONGEST load_progress_section_data::section_sent

Definition at line 1921 of file symfile.c.

Referenced by load_progress().

## ◆ section_size

ULONGEST load_progress_section_data::section_size

Definition at line 1922 of file symfile.c.

Referenced by load_progress(), and load_section_callback().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symfile.c